package com.btc.ep.dal.persist;

import java.io.File;

import com.btc.ep.dal.persist.impl.PersistenceService;

public abstract class PersistenceManager {

    public abstract PersistenceService getPersistenceService();

    public abstract void backup(File backupFile) throws Exception;

    public abstract void clear();

    public abstract void close();

    public abstract void open(File path) throws Exception;

}
