package com.btc.ep.dal.provider;

import java.io.File;

import javax.persistence.EntityManagerFactory;

public interface PersistenceManagerProvider {

    String getId();

    EntityManagerFactory getEntityManagerFactory();

    File getDBPath();

    void backup(File backupFile) throws Exception;

    void close();

    void clearFiles();

    void openFile(File path) throws Exception;

}

